import React from "react";
export declare const PLATFORM_TO_ICON: {
    readonly android: "android";
    readonly anthropic: "anthropic";
    readonly apple: "apple";
    readonly bun: "bun";
    readonly capacitor: "capacitor";
    readonly clojure: "clojure";
    readonly cocoa: "apple";
    readonly "cocoa-objc": "apple";
    readonly "cocoa-swift": "swift";
    readonly cordova: "cordova";
    readonly cloudflare: "cloudflare";
    readonly cpp: "cpp";
    readonly cryengine: "cryengine";
    readonly css: "css";
    readonly csharp: "csharp";
    readonly "csharp-aspnetcore": "csharp";
    readonly dart: "dart";
    readonly default: "default";
    readonly deno: "deno";
    readonly dotnet: "dotnet";
    readonly "dotnet-aspnetcore": "dotnet";
    readonly "dotnet-aspnet": "dotnet";
    readonly "dotnet-awslambda": "awslambda";
    readonly "dotnet-blazor": "blazor";
    readonly "dotnet-csharp": "csharp";
    readonly "dotnet-gcpfunctions": "gcp-functions";
    readonly "dotnet-maui": "maui";
    readonly "dotnet-uno": "uno";
    readonly "dotnet-xamarin": "xamarin";
    readonly dotnetcore: "dotnetcore";
    readonly dotnetfx: "dotnetfx";
    readonly electron: "electron";
    readonly elixir: "elixir";
    readonly flutter: "flutter";
    readonly font: "font";
    readonly fsharp: "fsharp";
    readonly git: "git";
    readonly go: "go";
    readonly "go-echo": "echo";
    readonly "go-fasthttp": "fasthttp";
    readonly "go-gin": "gin";
    readonly "go-iris": "iris";
    readonly "go-martini": "martini";
    readonly "go-negroni": "go";
    readonly godot: "godot";
    readonly java: "java";
    readonly "java-appengine": "app-engine";
    readonly "java-android": "android";
    readonly "java-log4j": "java";
    readonly "java-log4j2": "java";
    readonly "java-logback": "logback";
    readonly "java-logging": "java";
    readonly "java-spring": "spring";
    readonly "java-spring-boot": "springboot";
    readonly javascript: "javascript";
    readonly "javascript-astro": "astro";
    readonly "javascript-angular": "angularjs";
    readonly "javascript-angularjs": "angularjs";
    readonly "javascript-backbone": "backbone";
    readonly "javascript-browser": "javascript";
    readonly "javascript-capacitor": "capacitor";
    readonly "javascript-cordova": "cordova";
    readonly "javascript-electron": "electron";
    readonly "javascript-ember": "ember";
    readonly "javascript-gatsby": "gatsby";
    readonly "javascript-ionic": "ionic";
    readonly "javascript-nextjs": "nextjs";
    readonly "javascript-react": "react";
    readonly "javascript-remix": "remix";
    readonly "javascript-solid": "solid";
    readonly "javascript-svelte": "svelte";
    readonly "javascript-sveltekit": "svelte";
    readonly "javascript-vue": "vue";
    readonly "javascript-wasm": "wasm";
    readonly ionic: "ionic";
    readonly kotlin: "kotlin";
    readonly "kotlin-android": "android";
    readonly linux: "linux";
    readonly native: "nativec";
    readonly "native-qt": "qt";
    readonly node: "nodejs";
    readonly "node-awslambda": "awslambda";
    readonly "node-azurefunctions": "azure-functions";
    readonly "node-connect": "connect";
    readonly "node-express": "express";
    readonly "node-gcpfunctions": "gcp-functions";
    readonly "node-koa": "koa";
    readonly "node-serverlesscloud": "serverless";
    readonly openai: "openai";
    readonly perl: "perl";
    readonly php: "php";
    readonly powershell: "powershell";
    readonly "php-laravel": "laravel";
    readonly "php-monolog": "php";
    readonly "php-symfony2": "symfony";
    readonly "php-symfony": "symfony";
    readonly python: "python";
    readonly "python-aiohttp": "aiohttp";
    readonly "python-airflow": "apache-airflow";
    readonly "python-ariadne": "ariadne";
    readonly "python-asyncpg": "postgresql";
    readonly "python-awslambda": "awslambda";
    readonly "python-azurefunctions": "azure-functions";
    readonly "python-beam": "apache-beam";
    readonly "python-boto3": "aws";
    readonly "python-bottle": "bottle";
    readonly "python-celery": "celery";
    readonly "python-chalice": "chalice";
    readonly "python-clickhouse-driver": "clickhouse";
    readonly "python-django": "django";
    readonly "python-falcon": "falcon";
    readonly "python-fastapi": "fastapi";
    readonly "python-flask": "flask";
    readonly "python-gcpfunctions": "gcp-functions";
    readonly "python-gnu_backtrace": "gnu";
    readonly "python-gql": "graphql";
    readonly "python-graphene": "graphene";
    readonly "python-grpc": "grpc";
    readonly "python-httpx": "httpx";
    readonly "python-huey": "huey";
    readonly "python-loguru": "loguru";
    readonly "python-pylons": "python";
    readonly "python-pymongo": "mongodb";
    readonly "python-pyramid": "pyramid";
    readonly "python-pythonawslambda": "awslambda";
    readonly "python-quart": "quart";
    readonly "python-redis": "redis";
    readonly "python-rq": "redis";
    readonly "python-sanic": "sanic";
    readonly "python-serverless": "serverless";
    readonly "python-starlette": "starlette";
    readonly "python-strawberry": "strawberry";
    readonly "python-spark": "apache-spark";
    readonly "python-sqlalchemy": "sqlalchemy";
    readonly "python-tornado": "tornado";
    readonly "python-tryton": "tryton";
    readonly qt: "qt";
    readonly "react-native": "react-native";
    readonly ruby: "ruby";
    readonly "ruby-rack": "ruby";
    readonly "ruby-rails": "rails";
    readonly "ruby-sidekiq": "sidekiq";
    readonly "ruby-sinatra": "sinatra";
    readonly rust: "rust";
    readonly "rust-actix": "actix";
    readonly scala: "scala";
    readonly stride3d: "stride3d";
    readonly sql: "sql";
    readonly sqlserver: "sqlserver";
    readonly swift: "swift";
    readonly unity: "unity";
    readonly ue4: "unreal";
    readonly unreal: "unreal";
    readonly unrealengine: "unreal";
    readonly visualbasic: "visual-basic";
    readonly vscode: "vscode";
    readonly windows: "windows";
};
declare type Props = React.HTMLAttributes<HTMLDivElement | HTMLImageElement> & {
    platform: string;
    size?: string | number;
    format?: "sm" | "lg";
    radius?: number | null;
    withLanguageIcon?: boolean;
    languageIconStyles?: React.CSSProperties;
};
declare const PlatformIcon: ({ platform, size, format, radius, withLanguageIcon, languageIconStyles, style, ...otherProps }: Props) => JSX.Element;
export default PlatformIcon;
